.fondo{
    background-image: url('../../images/sitio/fondo.jpg');
}

/*** header LOGIN ***/
.header-top {
    background: #fff;
    margin-bottom: 20px;
}
.container-header{
    padding: 6px;
    box-shadow: 0px 0px 22px -1px grey;
    position: fixed;
    top: 0;
    background-color: #fff;
    width: 100%;
}
/*p.welcome-msg {
    border-left: 1px solid #ddd;
    display: inline-block;
    line-height: 30px;
    margin: 0;
    padding: 10px;
    text-align: center;
}*/
/*** Header Login ***/
/*** footer ***/
.footer-area{
    background: #fff;
    position: fixed;
    bottom: 0;
    width: 100%;
    box-shadow: 0px 0px 22px -1px grey;
    text-align: center;
    /*right: 0;*/
}
/*** footer ***/
/* LOGIN */

div.login{
    padding-top: 100px;
    padding-bottom: 100px;
}
div.container-login{
    background-color: #ffffff;
    margin: auto;
    max-width: 450px; 
    border-radius: 10px;
    box-shadow: 0px 0px 22px -1px grey;
    margin-top: 70px;
}
div.row-login{
    background-color: #eee; 
    border-top-right-radius: 10px; 
    border-top-left-radius: 10px;
}
img.logo-login {
    width: 100px;
}

/* LOGIN */

/** botones ***/
.btn-primary{
    background-color: #003c71 !important;
    border-color: #003c71 !important;
    box-shadow: 0px 4px 6px -1px gray;
}
.btn-danger {
    background-color: #ff0000 !important;
    border-color: #ff0000 !important;
    box-shadow: 0px 4px 6px -1px gray;
}
.btn-success {
    background-color: #1abb30 !important;
    border-color: #1abb30 !important;
    box-shadow: 0px 4px 6px -1px grey;
}
/** botones ***/

/** PANEL **/
.panel-primary {
    border-color: #003C71;
    box-shadow: 4px 10px 13px -3px grey;
}

.panel-primary>.panel-heading {
    color: #fff;
    background-color: #003C71;
    border-color: #003C71;
}

.panel-primary>.panel-heading+.panel-collapse>.panel-body {
    border-top-color: #003C71;
}

.panel-primary>.panel-heading .badge {
    color: #003C71;
    background-color: #fff
}

.panel-primary>.panel-footer+.panel-collapse>.panel-body {
    border-bottom-color: #003C71;
}
.huge {
    font-size: 18px;
}
/** PANEL **/

a{
    color: #003c71;
}


/** notificacion input ***/
.error-input{
    border: 2px solid #ec0000 !important;
}

/** notificacion Alertas ***/
#alerta{
    position: fixed;
    width: 100%;
    text-align: center;
    z-index: 1080;
}

#alerta + .alert{
    margin-top: 50px;
}

.alert{
    max-width: 250px;
    margin: 5px auto;
}
@media (max-width: 1044px) {
    .alerta{
        left: 35%;
        right: 35%;
    }
}
@media (max-width: 770px) {
    .alerta{
        left: 30%;
        right: 30%;
    }
}
@media (max-width: 590px) {
    .alerta{
        left: 23%;
        right: 23%;
    }
}
@media (max-width: 460px) {
    .alerta{
        left: 15%;
        right: 15%;
    }
}

/* warning */
.alert-warning {
    color: #fff;
    background-color: #ffbb33;
    border-color: #ffbb33;
}
.alert-danger {
    color: #fff;
    background-color: #ff0000;
    border-color: #ff0000;
}
.alert-success {
    color: #fff;
    background-color: #1abb30;
    border-color: #1abb30;
}
.alert-info {
    color: #fff;
    background-color: #003c71;
    border-color: #003c71;
}
.close{
    opacity: 1;
}
/** notificacion Alertas ***/

/** PAGE-LOADER **/
.page-loader{
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0px;
    bottom: 0px;
    background: #007bbe66;
    z-index: 1100;
    visibility: hidden;
    opacity: 0;
    -webkit-transition: all 0.3s ease-in-out;
    -moz-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
}

.page-loader.active{
    visibility: visible;
    opacity: 1;
}

.spinner{
    border-top: 16px solid #007bbe;
    border-right: 16px solid #FFFFFF;
    border-bottom: 16px solid #007bbe;
    border-left: 16px solid #FFFFFF;
    border-radius: 50%;
    width: 120px;
    height: 120px;
    animation: spin 2s linear infinite;
    position: absolute;
    left: 0;
    right: 0;
    margin:auto;
    top: 50%;
    margin-top: -60px;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

.page-loader.active .main-panel{
    overflow:hidden;
}
/** PAGE LOADER **/


/** ocultar - mostrar **/
.oculto{
    display: none !important;
}

body{
    font-size: 14px !important;
}

section{
    position: relative;
    padding: 20px;
    margin: auto;
    max-width: 800px;
}

.section-title{
    font-size: 1.5em;
    padding: 5px 0px;
    margin-bottom: 15px;
}

.absolute-right-button{
    position: absolute;
    top: 20px;
    right: 20px;
}

footer {
    display: block;
    position: fixed;
    width: 100%;
    bottom: 0px;
    padding: 10px;
    background-color: #080808;
}

#content{
    position: absolute;
    height: 100%;
    padding: 20px;
    padding-top: 51px;
    padding-bottom: 41px;
    right: 0px;
    left: 0px;
    overflow-y: auto;
}

.sidebar{
    position: absolute;
    top: 51px;
    z-index: 1020;
    width: 100%;
}

@media screen and (min-width: 768px){
    #content{
        margin-left: 250px;
        padding: 20px;
        padding-top: 51px;
        padding-bottom: 41px;
    }

    .sidebar{
        position: absolute;
        width: 250px;
        top: 0px;
        bottom: 40px;
        overflow-y: auto;
    }
}

/*Boton*/
.btn{
    outline: none !important;
}
.btn-rounded{
    border-radius: 50px;
}
.btn-circle{
    margin: 0px 3px;
}
.btn-navigate {
    color: #fff;
    background-color: #003c71;
    border-color: #003c71;
}

.btn-navigate:hover{
    color: #fff;
    background-color: #003c71;
    border-color: #003c71;
}
/*Botones*/

/* input:focus */
.form-control:focus {
    border-color: #ccc;
    outline: 0;
    -webkit-box-shadow: inset 0 0px 0px rgba(0,0,0,0),0 0 8px rgba(102, 175, 233, 0.03);
    box-shadow: inset 0 1px 1px rgba(0,0,0,.075),0 0 8px rgba(102, 175, 233, 0.02)
}
.panel-footer:after{
    display: block;
    content: "";
    clear: both;
}
.pointer{
    cursor: pointer;
}
.page-header {
    padding-bottom: 9px;
    margin: 20px 0 10px;
    border-bottom: 1px solid #eee;
    color: #003c71 !important;
    margin-bottom: 10px;
}

thead.page {
    background-color: #e1f5fe !important;
    border-color: #003c71 !important;
    color: #003c71 !important;
}

.table td, .table th {
    white-space: nowrap;
}

#botones{    
    margin: 10px;
}

/* slider estilo */
.switch {
    position: relative;
    display: inline-block;
    width: 52px;
    height: 23px;
}  
.switch input { 
    opacity: 0;
    width: 0;
    height: 0;
}
.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}
.slider:before {
    position: absolute;
    content: "";
    height: 17px;
    width: 18px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}
input:checked + .slider {
    background-color: #2196F3;
}
  
input:focus + .slider {
    box-shadow: 0 0 1px #2196F3;
}
input:checked + .slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
}
/* Rounded sliders */
.slider.round {
    border-radius: 34px;
}
.slider.round:before {
    border-radius: 50%;
}
/* slider estilo */

/*** lista Ul ***/
.mapmenu, .mapmenu ul {
    list-style: none;
    margin: 0px;
    padding: 0px;
    cursor: pointer;
}
.mapmenu ul{
    padding-left: 30px; 
}
.mapmenu .item{
    padding: 6px 10px;
    position: relative;
}
.mapmenu .modulo ~ .list,
.mapmenu .seccion ~ .list{
    position: relative;
    max-height: 0px;
    overflow-y: hidden;
    transition: all 0.3s cubic-bezier(0,1,0,1);
}
.mapmenu .modulo.open ~ .list,
.mapmenu .seccion.open ~ .list
{
    max-height: 1000px;
    transition: all 1s ease-in-out;
}
.mapmenu .modulo.open .fa-chevron-right,
.mapmenu .seccion.open .fa-chevron-right{
    transform: rotateZ(90deg);
}

/* select2 */
/*.select2-container--default .select2-selection--single {
    /*border-radius: 0px;*/
/*}*/
/* select2 */

/** div file img **/
div.canvas{
    border: 1px solid #777777;
    height: 300px;
    padding: 20px;
    justify-content: center;
    align-content: center;
    display: flex;
}

img.size{
    max-width: 100%;
    margin: auto;
    max-height: 100%;
    cursor: zoom-in;
}

.modal-backdrop{
    position: fixed;
}

/* modal */
.modal-dialog{
    margin-top: 150px !important;
}
.modal-dialog.grande{
    margin-top: 30px !important;
}

.modal-footer-between{
    padding: 15px;
    display: flex;
    justify-content: space-between;
}
@media (min-width: 992px) {
    .modal-md {
        width:500px
    }
}
@media (min-width: 770px) {
    .modal-md {
        width:500px
    }
}
/* modal */

.uppercase{
    text-transform: uppercase;
}
/* input dual select+text*/
.input-group > span > select{
    border-radius: 0px !important;
    border-bottom-left-radius: 5px !important;
    border-top-left-radius: 5px !important;
}
.input-duble > span > select{
    border-radius: 0px !important;
    border-bottom-left-radius: 5px !important;
    border-top-left-radius: 5px !important;
}
.input-duble > span > input{
    border-radius: 0px !important;
    border-bottom-right-radius: 5px !important;
    border-top-right-radius: 5px !important;
}
/*.modal { overflow: auto !important; }*/
/** div file img **/
/*****Coloes letras****/
strong.lp {
    color: #ffffff;
    border: 1px #0099ff solid;
    padding: 5px;
    display: list-item;
    border-radius: 3px;
    background: #0099ff;
}
strong.tt {
    color: #ffffff;
    border: 1px #0e3e67 solid;
    padding: 5px;
    display: list-item;
    border-radius: 3px;
    background: #0e3e67;
}
strong.mb {
    color: #ffffff;
    border: 1px #c14e00 solid;
    padding: 5px;
    display: list-item;
    border-radius: 3px;
    background: #c14e00;
}
/*****Coloes letras****/
/*COLORES*/
.panel-body p {
    color: #000000;
}
/*COLORES*/
.my-legend .legend-title {
    text-align: left;
    margin-top: 20px;
    margin-bottom: 10px;
    font-weight: bold;
    }
  .my-legend .legend-scale ul {
    margin: 0;
    margin-bottom: 5px;
    padding: 0;
    float: left;
    list-style: none;
    }
  .my-legend .legend-scale ul li {
    list-style: none;
    margin-left: 0;
    margin-bottom: 2px;
    }
  .my-legend ul.legend-labels li span {
    display: block;
    float: left;
    height: 16px;
    width: 30px;
    margin-right: 10px;
    margin-left: 0;
    border: 1px solid #999;
    }
  .my-legend .legend-source {
    color: #999;
    }
  .my-legend a {
    color: #777;
    }
    
    .pendiente{
        border: 1px solid linear-gradient(180deg, #f0ad4e 10%, #744d15 100%);
        padding: 2px;
        font-weight: 600;
        color: #ffffff;
        border-radius: 3px;
        background: linear-gradient(180deg, #f0ad4e 10%, #744d15 100%);
    }
    .aprobada{
        border: 1px solid linear-gradient(180deg, #00C851 10%, #114a28 100%);
        padding: 2px;
        font-weight: 600;
        color: #ffffff;
        border-radius: 3px;
        background: linear-gradient(180deg, #00C851 10%, #114a28 100%);
    }
    .rechazada{
        border: 1px solid linear-gradient(180deg, #CC0000 10%, #640f0f 100%);
        padding: 2px;
        font-weight: 600;
        color: #ffffff;
        border-radius: 3px;
        background: linear-gradient(180deg, #CC0000 10%, #640f0f 100%);
    }

    .revision{
        border: 1px solid linear-gradient(180deg, #FF5000 10%, #8b2c00 100%);
        padding: 2px;
        font-weight: 600;
        color: #ffffff;
        border-radius: 3px;
        background: linear-gradient(180deg, #FF5000 10%, #8b2d01 100%);
    }